Bug 126566 - ls -l on nfs mount gives Input/Ouptut errors
ls -l on nfs mount gives Input/Ouptut errors
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2004-06-23 07:44 EDT by Huw Lynes
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-24 11:37:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Huw Lynes 2004-06-23 07:44:59 EDT
ls -l of files in nfs mounts gives spurious Input/Output Errors before
returning the real info then exiting zero.


How reproducible:

Steps to Reproduce:
1: cd /your/nfs/mount
2: ls -l somefile

Actual results:
huw@wingnut:/usr/people/huw > ls -l /software/mpc/scripts/maya
ls: /software/mpc/scripts/maya: Input/output error
-rwxr-xr-x  1 james user 5754 Jun 10 16:15 /software/mpc/scripts/maya
huw@wingnut:/usr/people/huw > echo $?

Expected results:
huw@wingnut:/usr/people/huw > ls -l /software/mpc/scripts/maya
-rwxr-xr-x  1 james user 5754 Jun 10 16:15 /software/mpc/scripts/maya
huw@wingnut:/usr/people/huw > echo $?

Additional info:
Comment 1 Huw Lynes 2004-06-23 07:45:48 EDT
backing off to the previous version of coreutils makes the problem go
Comment 2 Huw Lynes 2004-06-23 08:14:31 EDT
Have managed to narrow down the list of NFS mounts that are producing
this problem

RedHat 7.1 - problem
RedHat 7.2 - problem
Irix 6.5 - problem
Solaris - works
Fedora Core 1 - works
Comment 3 Huw Lynes 2004-06-23 08:41:54 EDT
Looks like it's to do with ACL support.
Comment 4 Huw Lynes 2004-06-23 10:11:14 EDT
Right after some digging around by my boss and I it looks like this
got broken during the resolution of bug 106141. This patched
Comment 5 Huw Lynes 2004-06-23 10:23:39 EDT
reverting to the coreutils-4.5.3-acl.patch that came with
coreutils-5.0-24 removes the problem.

The new coreutils-4.5.3-acl.patch results in HAVE_ACL_EXTENDED_FILE
being defined - which results in acl_extended_file() being called in
lib/acl.c - which fails and results in the 'Input/output error' being
Comment 6 Huw Lynes 2004-06-24 11:37:04 EDT
from my boss's post to the NFS list this:

I think I've worked out what is going on ... when I said the client was
a FC1 box, I didn't give all the facts - it's using a kernel based on
the FC1 kernel - actually one from ATrpms (http://atrpms.net/).

It turns out that this kernel has a 'nfsacl' patch (from 
http://acl.bestbits.at/download.html) applied that
adds CONFIG_NFS_ACL (and CONFIG_NFSD_ACL) which are enabled by default -
compiling a new kernel with the CONFIG_NFS_ACL option disabled (i.e.
something closer to a vanilla FC1 kernel), then the problem goes away ...

James Pearson
Comment 7 Axel Thimm 2004-06-25 16:51:20 EDT
The issue was with util-linux (could someone move the component?).

A fixed util-linux/mount rpm can be found at


see also: http://bugzilla.atrpms.net/show_bug.cgi?id=73

Note You need to log in before you can comment on or make changes to this bug.